package com.chinacreator.process.dao;

import java.sql.SQLException;
import java.util.List;

import org.springframework.stereotype.Component;

import com.chinacreator.process.util.DataSource;
import com.frameworkset.common.poolman.SQLExecutor;

@Component
public class AsynDao {

	public List<String> getsyncOrderid() throws SQLException{
		String sql = "select distinct orderid from TD_ASYN_ACTIVITY where SYNCSTATUS=1 and ORDERSTATUS !=1 and VIPSTATUS!=1";
		return SQLExecutor.queryListWithDBName(String.class,DataSource.NET3G, sql,null);
	}
	
	public List<String> getOrderOrderid() throws SQLException{
		String sql = "select distinct orderid from TD_ASYN_ACTIVITY where   ORDERSTATUS =1 and SYNCSTATUS=1";
		return SQLExecutor.queryListWithDBName(String.class,DataSource.NET3G, sql,null);
	}
	
	public List<String> getvipOrderid() throws SQLException{
		String sql = "select distinct orderid from TD_ASYN_ACTIVITY where VIPSTATUS=1 and SYNCSTATUS=1 and ORDERSTATUS !=1";
		return SQLExecutor.queryListWithDBName(String.class,DataSource.NET3G, sql,null);
	}
}
